Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

how do i download old versions of firefox i need firefox 4?

  • 6 uphendule
  • 7 zinale nkinga
  • 6 views
  • Igcine ukuphendulwa ngu DX50

more options

i need to use version 4 of fire fox and i cant find where on the site i can go to do this.

All Replies (6)

more options

Firefox 4 is no longer supported. The only version supported besides 6 is version 3.6.20.

See:

http://www.mozilla.com/en-US/firefox/all-older.html

more options

I guess Firefox 4.0 is not available for download anymore. I just downgraded from 6.0 to 3.6 because it is the last version still supported. Here is the link. http://www.mozilla.com/en-US/firefox/all-older.html Firefox 5.0 and 6.0 have a lot of problems, one of which I am unable to live with so I just had to go through the downgrade.

more options

mwalker21, i am sorry to tell you that we very strongly recommend that you do not go back to firefox 4 unless you need it for something such as web developing. we do offer firefox 3.6 though, you can download it here

Sorry for any inconvenience this may cause you, and if you need the link to firefox 4 just reply to this thread and i will find it for you (its not hard).

more options

@mwalker21 Explain the problems you are facing using Firefox 6.0. We might be able to resolve your issues.

Okulungisiwe ngu Hasan

more options

mha007, I have posted the same question numerous times over the past weeks and no one has been able to resolve the problem with 5.0 or 6.0, They are just flawed.

more options

download an older version of firefox seems to be very easy, just change the values on the url for your need. download for 4.0.1: http://www.mozilla.org/en-US/products/download.html?product=firefox-4.0.1&os=win&lang=en-US if u need another version, u can change as the follow - change what in the {} and remove the {}: http://www.mozilla.org/products/download.html?product=firefox-{version e.g. 6.0.2,7.0}&os={Win/osx/linux}&lang={language code} u can download also older versions, in the following links: ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/

Okulungisiwe ngu James